Jump to content
pBe

Create PDF's as published at once

Recommended Posts

pBe

Wondering if there's a setting for Publish to create the pdf's on a specified folder and not wait for the publish command to finish.

 

I had this setup on Autocad 2015 where you can "see" the individual pdfs populated on the folder once the sheet is done.

 

Job progress (Sheet 3 of 24)

 

pdf files 1 to 3 are created at once.

 

Now, Only when the publish command is completed only then the files will appear on the folder.

 

Any help will be appreciated :)

Share this post


Link to post
Share on other sites
RobDraw

Why does it matter when you see the PDFs?

 

Is it a difference of a multi-sheet PDF vs multiple single sheet PDFs?

Share this post


Link to post
Share on other sites
pBe
Why does it matter when you see the PDFs?

 

That way, on the fly the user [ in this case, the QA/QC personnel ] can see right away if the pdf turned out OK, the look and content of the sheet. Instead of waiting for the entire set to finish.

Share this post


Link to post
Share on other sites
Dana W

An open computer process is locked out for access. There is no possible way to open a file that is already open for edit, as in being written to disk, so there is no icon, detail item, or thumbnail yet. It's the golden rule of digital life from the day of the UNIVAC 1066. Pdf's are read only usually, so many users can open the same file simultaneously, but only after the file is finished being written in the first place.

 

If it's a multi-page pdf all the pages are in one single pdf file, you have to wait until the last page processed is done. If it is only one page or even two, you cannot even move fast enough to get to it before the write process closes, so it only seems like it is available right away.

 

Being my own QA/QC department, what I do is set my publish options to open the pdf file(s) in the reader as they finish, Then I don't have to get all OCD over what's shown in the file tree.

Share this post


Link to post
Share on other sites
BIGAL

Pbe my plot pdf lisp does one at a time and works 99.9% as its hard coded for the title block. You can plot a range 3-5 or All it does have that disavantage that it does do not do it in back ground but always saves in a known location compared to the dwg. Even plotting say 10 sheets it works at a reasonable speed, depending on how fast it can change layouts. If the pdf's are wrong you can see them being made and hit Esc. If you want post.

Share this post


Link to post
Share on other sites
pBe
..what I do is set my publish options to open the pdf file(s) in the reader as they finish, Then I don't have to get all OCD over what's shown in the file tree.

 

I have the same settings, but it will open the file after the whole set is done.

 

BIGAL

Pbe my plot pdf lisp does one at a time and works 99.9% as its hard coded for the title block. .

 

I totally believe you, Now where's that lisp, give it here Bigal

 

All it does have that disavantage that it does do not do it in back ground but always saves in a known location compared to the dwg. Even plotting say 10 sheets it works at a reasonable speed.

 

True, AFAICT a none background plot is way faster than background plot.

 

Thank you guys, I ended up using sheet set's Publish using Page Setup Override and it does create the pdf's on the fly.

 

override.png

 

But if I publish thru Publish Dialog Box, the user will still wait for the whole thing to finish before you can see the result.

 

Thank you all :D

Share this post


Link to post
Share on other sites
BIGAL

PlotA3range.lsp Please note to do the autocombine need Ghostscript which can be downloaded seperately. It is hard coded for our plot window as we have the A1 full size title block at 0,0 so change the -6,-6 etc I hang out to dry if the guys move the title block, you can add a check if you want and move the layout so title is at 0,0 another lisp.

 

;Plots layouts by range
; By Alan H Feb 2014

(defun AH:pltlays ( / val1 val2 plotnames dwgname lendwg pdfname lay numlay numend dwgpre)
(SETVAR "PDMODE" 0)
(setvar "plottransparencyoverride" 2)
(setvar "fillmode" 1)
(setvar "textfill" 1)
(setq plotnames '())

; check that pdf directory exists
(setq dwgpre (strcat (getvar "dwgprefix") "\pdf"))
(if (= (vl-file-directory-p dwgpre) nil)
(vl-mkdir dwgpre)
)
(SETQ LAYOUTS (vla-get-Layouts (vla-get-activedocument (vlax-get-acad-object))))
(SETQ COUNT (- (VLA-GET-COUNT LAYOUTS) 1))

(if (not AH:getval2) (load "getvals3"))
(ah:getval2 "Enter start tab number" 6 4 "1" "Enter end tab number" 6 4 (RTOS COUNT 2 0))

(setq numlay (ATOI val1))
(setq numend (ATOI val2))

(setq len (+ (- numend numlay) 1))

(setq dwgname (GETVAR "dwgname"))
(setq lendwg (strlen dwgname))
(setq dwgname (substr dwgname 1 (- lendwg 4)))

(repeat len
(vlax-for lay LAYOUTS
(if (= numlay (vla-get-taborder lay))
 (setvar "ctab" (vla-get-name lay))
) ; if

(setq pdfname (strcat dwgpre "\\" dwgname "-" (getvar "ctab") ".pdf" ))
) ; for

(setvar "textfill" 1)
(setvar "fillmode" 1)
(setvar "PLOTTRANSPARENCYOVERRIDE" 2)
   (COMMAND "-PLOT"  "Y"  "" "dwg to Pdf"
       "Iso full bleed A3 (420.00 x 297.00 MM)" "m" "LANDSCAPE"  "N"   "W"  "-6,-6" "807,560" "1=2"  "C"
       "y" "Designlasercolour.ctb" "Y"	"n" "n" "n" pdfName "N" "y"
   )
   
(setq numlay (+ numlay 1))
(setq plotnames (cons pdfname plotnames))
) ; end repeat
(setq trgfile (strcat (getvar "dwgprefix") "pdf\\" dwgname "-D" val1 "-D" val2 ".pdf")) 

(setq plotnames (reverse plotnames))

(IF (= (length plotnames) 1)
(princ)
(progn
(if (not combinepdf)(load "mergepdfs"))
(combinepdf gsExe plotnames trgFile )
)
)

) ; defun

(AH:pltlays)


(princ)

GETVALS3.lsp

mergepdfs.lsp

Share this post


Link to post
Share on other sites
pBe
Posted (edited)

Thank you Bigal

 

Cheers

 

**Off-topic**

 Code moved to Lisp forum

Edited by pBe

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×